### Function

# GLib dataset_destroy

#### Declaration

    void
    g_dataset_destroy (
      gconstpointer dataset_location
    )

#### Description

Destroys the dataset, freeing all memory allocated, and calling any destroy functions set for data elements.

#### Parameters

`dataset_location`

  Type: `gconstpointer`

  The location identifying the dataset.

  The data is owned by the caller of the function.